=== debian/changelog ===
roundcube (1.5.0+dfsg.1-2) unstable; urgency=medium

  * CI: Restore piuparts job.
  * DEP-8: config-ownership-perms: Add Restrictions: allow-stderr.

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 23 Oct 2021 20:00:35 +0200

roundcube (1.5.0+dfsg.1-1) unstable; urgency=low

  * New upstream release.  Highlights for major version 1.5 include:
    - full PHP 8.0 support (closes: #977687)
    - dark mode for Elastic skin
    - collected recipients and trusted senders
    - moving recipients between inputs with drag & drop
    - full unicode support with MySQL database
    - support of IMAP LITERAL [RFC7888]
    - support of [RFC2231] encoded names
    - cache refactoring
  * Ship upstream's bin/updatedb.sh to roundcube-core.
  * d/t/dbconfig-no-thanks: Also run bin/updatedb.sh.
  * d/t/dbconfig-no-thanks: Check DB ownership and permissions.
  * Exclude spellchecker from build-time and DEP8 tests, as dictionary
    mismatch makes it too brittle.
  * d/pkg-php-tools-overrides: Remove useless roundcube/net_sieve builtin.

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 23 Oct 2021 09:47:50 +0200

roundcube (1.5~rc+dfsg.1-3) experimental; urgency=medium

  * DEP-8: Add test for dbconfig-no-thanks (set custom $config['db_dsnw']).
  * Create symlink var/lib/roundcube/SQL pointing to usr/share/roundcube/SQL.
    This is required for dbconfig-no-thanks deployments (closes: #996613).
  * Refresh lintian overrides to accommodate lintian v2.109.
  * Retroactively update d/roundcube-core.NEWS to advertise the 1.4 smtp_*
    default settings (closes: #994446).

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 16 Oct 2021 23:20:50 +0200

roundcube (1.5~rc+dfsg.1-2) experimental; urgency=medium

  * Replace `which` with `command -v` in maint scripts.
  * Refresh lintian overrides to accommodate lintian v2.107.
  * Bump Standards-Version to 4.6.0 (no changes needed).
  * Remove 4 obsolete maintscript entries in 2 files.
  * Set upstream metadata fields: Security-Contact.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 08 Oct 2021 20:53:01 +0200

roundcube (1.5~rc+dfsg.1-1) experimental; urgency=medium

  * New upstream release candidate 1.5 (closes: #949629).
  * d/rules: Exclude tinymce/js/tinymce/tinymce.d.ts in accordance with
    jsdeps.json.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 06 Jul 2021 12:00:42 +0200

roundcube (1.5~beta+dfsg.1-4) experimental; urgency=medium

  * d/roundcube-core.cron.daily, d/addsqlupdate.sh: `set -ue` and improve
    quoting.
  * d/*: Fix space damage.
  * bin/update.sh: Hardcode define('INSTALL_PATH', '/var/lib/roundcube/');
    (closes: #989140).
  * d/roundcube-core.postinst: Set DEBIAN_PKG=[0|1] for symmetry.
  * d/p/debianize-config.patch: Comment out sample plugins, see #884992.

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 29 May 2021 15:03:39 +0200

roundcube (1.5~beta+dfsg.1-3) experimental; urgency=medium

  * d/*.post*, d/*.config: Improve style consistency.
  * d/*.post*: pathfind(): Keep IFS null (instead of setting it to the empty
    string) if it was null before.
  * d/roundcube-core.postinst: Set ln(1)'s '-T' to flag protect against
    undesired semantics should the target be an existing directory.
  * d/roundcube-core.postinst, d/roundcube-core.config: Replace useless calls
    to sed.
  * d/*.pre*, d/*.post*, d/*.config: Fix space damage.
  * d/roundcube-core.postinst: Make configuration sample parsing and reading
    roundcube/hosts more robust.
  * d/roundcube-core.postinst: 3DES key generation: Use a random 18-bytes long
    string base64 encoded (the key needs to be 24 bytes long).
  * d/roundcube-core.postinst: lighttpd: Prefer the more efficient
    fastcgi-php-fpm over fastcgi-php on lighttpd 1.4.55-2 and later.
  * d/copyright: Add self.
  * DEP-8: Add basic Apache2 and lighttpd tests.
  * DEP-8: Add configuration file and log/temp directory ownership and mode
    checks.
  * DEP-8: Add an hardened deployment, with a dedicated PHP-FPM pool and
    dedicated user/group (so the HTTPd can't read sensitive roundcube data).
  * d/roundcube-core.post*: Reload webserver with deb-systemd-invoke(1) when
    possible.
  * d/roundcube-core.postinst: Avoid running bin/update.sh with root
    privileges, depending on /etc/roundcube/config.inc.php's ownership and
    mode: if the file is word-readable then issue a warning and run as
    www-data; otherwise, if the file not root-owned then run as its owner;
    otherwise, if the file is group readable and is not group owned by root,
    and the group is used as a primary group for a single user, then use that
    user.  Should all that fail root privileges are preserved and a warning is
    issued.
  * d/roundcube-core.postinst: Issue a warning if a .dpkg-new leak is
    dedected.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 17 May 2021 21:00:08 +0200

roundcube (1.5~beta+dfsg.1-2) experimental; urgency=medium

  * Add hunspell-en-us to Build-Depends and DEP-8 tests dependencies as
    spellcheck tests rely on that dictionary.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 08 Mar 2021 19:14:45 +0100

roundcube (1.5~beta+dfsg.1-1) experimental; urgency=medium

  * New upstream beta release (closes: #977687).
  * Change default spellchecker engine from pspell to enchant as the latter
    is better supported and more flexible.
  * d/copyright: Update Files-Excluded stanza for tinymce component.
  * d/uupdate: Fix tinymce-langs URL.
  * d/control: Bump dependencies to match jsdeps.json and composer.json-dist.
  * d/control: Update build dependencies for the improved test suite.
  * Update d/copyright.
  * Fix DEP-8 tests: The test suite now requires reads the configuration file,
    so we need to run it as www-data.  We test with SQLite3 backend, and also
    the default backend (MySQL) on testbeds providing container-level
    isolation.
  * d/rules: Treat plugins/*/readme* (not only plugins/*/README*) as
    documentation.
  * CI: Disable piuparts which is bound to fail due to the schema upgrade.


