=== debian/changelog ===
roundcube (1.6.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * d/p/fix-install-path.patch: Also adjust installer/index.php.
  * d/t/control: Factor stanzas with same dependencies and restrictions.
  * /etc/roundcube/*.php: Don't include files only once.
  * DEP-8: Run upstream installer checks in a dedicated autopkgtest.
  * d/t/cleanup: Sort sessions by changed date on error.
  * d/t/installer-checks: And also run 3rd step of installation checks.
  * DEP-8: Add ‘Restrictions: breaks-testbed’ when suitable.
  * DEP-8: Name inline tests.
  * debian/control: Replace 'Depends: libapache2-mod-php | php' with 'Depends:
    php'.
  * Add d/README.source to document the package workflow.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 29 Jul 2022 11:47:02 +0200

roundcube (1.6~rc+dfsg-2) experimental; urgency=medium

  * Adjust d/origtargz-diff.sh for 1.6~rc+dfsg.
  * Refresh lintian overrides to accommodate lintian v2.115.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Promote GuzzleHttp\Client back to "require" from "suggest".
  * Revert "Don't install the installer into /usr/share/roundcube."
  * Run upstream installer checks for apache2 and lighttpd DEP-8 tests.
  * Add roundcube-cleandb.{service,timer} which replaces the cronjob on
    systems where PID1 is systemd.
  * Add roundcube-gc.{service,timer} to purge expired sessions, caches and
    tempfiles in the background in a scheduled fashion.
  * Don't force set session.gc_probability=1 since we don't have to rely on
    probabilistic synchronous garbage collection anymore.
  * Remove obsolete /etc/default/roundcube and /etc/cron.daily/roundcube-core
    files since removing temporary files is part of the normal garbage
    collection routine.
  * DEP-8: Create tempfiles in $AUTOPKGTEST_TMP not /tmp.
  * DEP-8: Test roundcube-{cleandb,gc}.service (cleanup and garbage collection
    routines).

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 29 Jun 2022 20:23:02 +0200

roundcube (1.6~rc+dfsg-1) experimental; urgency=medium

  * New upstream release candidate 1.6.
  * d/u/signing-key.asc: Add Alec's key BEE674A019359DC1.
  * Refresh d/patches.

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 12 Jun 2022 16:46:12 +0200

roundcube (1.6~beta+dfsg-2) experimental; urgency=medium

  * d/roundcube-core.NEWS: Mention roundcube-skin-* packages by name
    now that they cleared the NEW queue.
  * d/control: roundcube-core: Add 'Recommends: roundcube-skin-classic,
    roundcube-skin-larry'.
  * Update d/copyright.
  * d/watch: Add uversionmangle for /-(alpha|beta|rc)\d*$/.
  * d/watch: Improve dversionmangle.
  * d/sql/*.sql: Escape identifiers to fix compatibility with MySQL 8
    (LP: #1970428).
  * New script d/sqlupdate replacing d/addsqlupdate.sh.
  * Update d/sql for 1.6~beta+dfsg-1 (remove 2020122900 which is in
    d/sql/*/1.5.0+dfsg.1-1 already).
  * Run wrap-and-sort(1).
  * Remove d/t/fix-format_date-x.patch and generate an en_US.utf8 locale for
    the upstream test suite instead.  This adds Build-Depends: locales.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 11 May 2022 20:22:23 +0200

roundcube (1.6~beta+dfsg-1) experimental; urgency=medium

  * New beta upstream release.  Highlights for major version 1.6 include:
    - Full PHP 8.1 support (closes: #1000642)
    - Unified and simplified services connection options:
      . renamed `default_host` resp. `smtp_server` to `imap_host` resp.
        `smtp_host`
      . removed `default_port`, `smtp_port`, `managesieve_port` and
        `managesieve_usetls` options
    - The classic and larry skins are no longer included in the upstream
      repository hence are excluded from this source package; we will ship in
      separate packages.
  * Add d/roundcube-core.NEWS to highlight the above.
  * Update default value for roundcube/hosts template to "localhost:143" to
    match the upstream default.
  * Update d/copyright.
  * Update d/sql.
  * Refresh d/patches.  Remove the following patches (now obsolete or applied
    upstream):
    - fix-FTBFS-with-phpunit-8.patch
    - fix-file-list-in-phpunit-configuration.patch
    - fix-FTBFS-with-phpunit-9.patch
  * Add patch to fix `$rcmail->format_date(.., 'x')` calls.
  * Remove mismatched Lintian override.
  * Add 'Restrictions: rw-build-tree' to the phpunit DEP-8 test as it writes
    into tests/.phpunit.result.cache.
  * Add aspell-en and php-pspell to Build-Depends (unless under 'nocheck'
    build profile) and DEP-8 test to test Framework_SpellcheckerPspell.
  * Add hunspell-en-us and php-enchant to Build-Depends (unless under
    'nocheck' build profile) and DEP-8 test to test
    Framework_SpellcheckerEnchant.
  * Add php-roundcube-rtf-html-php to Build-Depends (unless under 'nocheck'
    build profile) and DEP-8 test to test Framework_TnefDecoder.
  * Add php-bacon-qr-code to Build-Depends (unless under 'nocheck'
    build profile) and DEP-8 test to test Actions_Contacts_Qrcode.
  * d/rules, d/t/control: Mark flaky tests as such and run phpunit with
    `--exclude-group=flaky --fail-on-skipped` in build-time and DEP-8 tests.
  * CI: Disable piuparts which is bound to fail due to the schema upgrade.
  * d/rules: Replace '$(dir $@)' with '$(@D)'.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 14 Mar 2022 00:16:05 +0100

roundcube (1.5.2+dfsg-1) unstable; urgency=medium

  * New upstream bugfix & security release (closes: #1003027).

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 02 Jan 2022 22:50:42 +0100

roundcube (1.5.1+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Change repacking suffix to +dfsg from +dfsg.1.

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 04 Dec 2021 15:07:42 +0100
