=== debian/changelog ===
roundcube (1.6.1+dfsg-1ubuntu1) lunar; urgency=medium

  * Test suite: Adjust short date test to make it work with all ICUs.
    (Closes: #1030161)

 -- Amin Bandali <amin.bandali@canonical.com>  Wed, 01 Feb 2023 10:03:55 -0500

roundcube (1.6.1+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Update d/sql for 1.6.1+dfsg-1.
  * Fix d/README.source order.
  * Refresh d/patches.
  * d/roundcube-core.postinst: Add $config['imap_host'] to $CONFFILE.ucftmp if
    needs be.  This fixes d/t/config-ownership-perms.
  * d/t/config-ownership-perms: Use HOST:PORT in roundcube/hosts string.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 24 Jan 2023 01:42:19 +0100

roundcube (1.6.0+dfsg-2) unstable; urgency=medium

  * Salsa CI: Restore piuparts job.
  * Salsa CI: Install suitable RDBMS before running piuparts.
  * Salsa CI: Include recipes/debian.yml.
  * d/control: Build-Depends: Drop versioned constraint on uglifyjs.
  * Update standards version to 4.6.2, no changes needed.
  * Fix FTBFS (closes: #1026528).
  * d/s/lintian-overrides: Remove mismatched overrides.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 20 Dec 2022 20:36:47 +0100

roundcube (1.6.0+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:43:57 +0200
