=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: roundcube
 Section: web
 Priority: optional
-Maintainer: Debian Roundcube Maintainers <pkg-roundcube-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Roundcube Maintainers <pkg-roundcube-maintainers@alioth-lists.debian.net>
 Uploaders: Vincent Bernat <bernat@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Guilhem Moulin <guilhem@debian.org>
@@ -29,10 +30,10 @@
                pkg-php-tools,
                po-debconf,
                sqlite3 <!nocheck>,
-               uglifyjs (>= 3)
+               uglifyjs
 Rules-Requires-Root: no
 Homepage: https://www.roundcube.net/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/roundcube-team/roundcube.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/roundcube-team/roundcube
