=== debian/rules ===
--- 
+++ 
@@ -34,13 +34,13 @@
 
 # Minify JS: generate .min.js from .js source (cf. bin/jsshrink.sh)
 %.min.js: %.js
-	uglifyjs --compress --mangle $(if $(filter $@.map,$(GENERATED_MAPFILES)),--source-map "base='$(dir $@)'$(,)url='$(notdir $@).map'",) \
+	uglifyjs --compress --mangle $(if $(filter $@.map,$(GENERATED_MAPFILES)),--source-map "base='$(@D)'$(,)url='$(@F).map'",) \
 		-o $@ -- $<
 
 # Minify CSS: generate .min.css from .css source (cf. bin/cssshrink.sh)
 CSS_STAMPFILE = updatecss-stamp
 %.min.css: %.css $(CSS_STAMPFILE)
-	cd $(dir $@) && cleancss $(if $(filter $@.map,$(GENERATED_MAPFILES)),--source-map,) -o $(notdir $@) -- $(notdir $<)
+	cd $(@D) && cleancss $(if $(filter $@.map,$(GENERATED_MAPFILES)),--source-map,) -o $(@F) -- $(<F)
 
 # XXX bin/updatecss.sh edits CSS sources in place, so auto_clean might
 # not cleanup; it is idempotent so it doesn't matter too much for us though
@@ -92,9 +92,19 @@
 override_dh_auto_build: $(GENERATED_FILES) ;
 .SECONDARY:
 
+PHPUNIT_EXCLUDE_GROUPS = flaky
+ifeq ($(DEB_TARGET_ARCH_BITS),32)
+	# unfortunately BaconQrCode doesn't work for 32 bits archs, see
+	# https://github.com/Bacon/BaconQrCode/issues/76
+	PHPUNIT_EXCLUDE_GROUPS += qrcode
+endif
 override_dh_auto_test:
+	[ -d tests/.locale ] || mkdir tests/.locale
+	localedef -c -i en_US -f UTF-8 tests/.locale/en_US.utf8
 	ln -sfT ../.github/config-test.inc.php config/config-test.inc.php
-	env RCUBE_INSTALL_PATH=$(CURDIR) phpunit -c tests/phpunit.xml --exclude-group=qrcode
+	env RCUBE_INSTALL_PATH=$(CURDIR) LOCPATH=$(CURDIR)/tests/.locale \
+		phpunit -c tests/phpunit.xml --fail-on-skipped \
+			$(addprefix --exclude-group , $(PHPUNIT_EXCLUDE_GROUPS))
 
 NONCORE_PLUGINS = $(filter-out $(CORE_PLUGINS),$(PLUGINS))
 execute_after_dh_install:
@@ -157,10 +167,3 @@
 	mv -nt debian/$(if $(filter managesieve,$(CORE_PLUGINS)),roundcube-core,roundcube-plugins)/usr/share/doc/roundcube-plugins/plugins/managesieve \
 		debian/$(if $(filter managesieve,$(CORE_PLUGINS)),roundcube-core,roundcube-plugins)/usr/share/roundcube/plugins/managesieve/helpdocs
 
-override_dh_phpcomposer:
-	dh_phpcomposer --sourcedirectory=$(CURDIR)/debian/roundcube-core/usr/share/roundcube
-
-execute_after_dh_link:
-	# symlink plugin configuration (and delete existing usr/share/roundcube/plugins/*/config.inc.php
-	# file which we installed as etc/roundcube/plugins/*/config.inc.php instead)
-	$(foreach plugin,$(PLUGINS_CONFIGURABLE), \
